Bug 54256 - pidentd doesn't like to be restarted
Summary: pidentd doesn't like to be restarted
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pidentd   
(Show other bugs)
Version: roswell
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 15:59 UTC by Eido Inoue
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 16:11:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eido Inoue 2001-10-02 15:59:41 UTC
using the /etc/init.d/pidentd or service command APPEARS to work, but by
doing a ps or a "status" command to the init scripts you can see that it
usually dies soon after starting.

the workaround is to stop the deamon again then start it. The *second*
restart appears to work.

Comment 1 Trond Eivind Glomsrxd 2001-10-04 16:11:23 UTC
Verified. Strange.

Comment 2 Trond Eivind Glomsrxd 2001-10-04 19:13:01 UTC
It fails with "bind(port=113) failed: Address already in use". Putting a sleep
between stop/start works around this.

Comment 3 Trond Eivind Glomsrxd 2001-10-04 19:14:02 UTC
(the release with the fix is 3.0.14-2)

Comment 4 John Dalbec 2003-09-10 21:10:25 UTC
I think condrestart could use a "sleep" also.  Otherwise upgrading pidentd stops
the daemon.  (I'm looking at 3.0.14-5.)


Note You need to log in before you can comment on or make changes to this bug.